### Enumeration

# JavaScriptCore TypedArrayType

#### Declaration

    enum JavaScriptCore.TypedArrayType

#### Description [src]

Possible types of the elements contained in a typed array.

Available since: | 2.38

#### Members

Name | Description
--- | ---
`JSC_TYPED_ARRAY_NONE` | Not a typed array, or type unsupported.
`JSC_TYPED_ARRAY_INT8` | Array elements are 8-bit signed integers (int8_t).
`JSC_TYPED_ARRAY_INT16` | Array elements are 16-bit signed integers (int16_t).
`JSC_TYPED_ARRAY_INT32` | Array elements are 32-bit signed integers (int32_t).
`JSC_TYPED_ARRAY_INT64` | Array elements are 64-bit signed integers (int64_t).
`JSC_TYPED_ARRAY_UINT8` | Array elements are 8-bit unsigned integers (uint8_t).
`JSC_TYPED_ARRAY_UINT8_CLAMPED` | Array elements are 8-bit unsigned integers (uint8_t).
`JSC_TYPED_ARRAY_UINT16` | Array elements are 16-bit unsigned integers (uint16_t).
`JSC_TYPED_ARRAY_UINT32` | Array elements are 32-bit unsigned integers (uint32_t).
`JSC_TYPED_ARRAY_UINT64` | Array elements are 64-bit unsigned integers (uint64_t).
`JSC_TYPED_ARRAY_FLOAT32` | Array elements are 32-bit floating point numbers (float).
`JSC_TYPED_ARRAY_FLOAT64` | Array elements are 64-bit floating point numbers (double).